SOURCES: ivman.init - some unifications

ankry ankry at pld-linux.org
Wed Jan 18 11:10:29 CET 2006


Author: ankry                        Date: Wed Jan 18 10:10:29 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- some unifications

---- Files affected:
SOURCES:
   ivman.init (1.1 -> 1.2) 

---- Diffs:

================================================================
Index: SOURCES/ivman.init
diff -u SOURCES/ivman.init:1.1 SOURCES/ivman.init:1.2
--- SOURCES/ivman.init:1.1	Mon Nov 21 18:01:27 2005
+++ SOURCES/ivman.init	Wed Jan 18 11:10:24 2006
@@ -1,12 +1,12 @@
 #!/bin/sh
 #
-# haldaemon:   ivman daemon
+# ivman		ivman daemon
 #
-# chkconfig: 345 99 01
-# description:  An extremely flexible desktop independent frontend to HAL
+# chkconfig:	345 99 01
+# description:	An extremely flexible desktop independent frontend to HAL
 #
-# processname: ivman
-# pidfile: /var/run/ivman.pid
+# processname:	ivman
+# pidfile:	/var/run/ivman.pid
 #
 
 # Sanity checks.
@@ -48,10 +48,11 @@
         status $processname
         RETVAL=$?
         ;;
-    restart)
+    restart|force-reload)
         $0 stop
 	sleep 3
         $0 start
+	RETVAL=$?
         ;;
     condrestart)
         if [ -f /var/lock/subsys/$servicename ]; then
@@ -61,8 +62,8 @@
         fi
         ;;
     *)
-        echo $"Usage: $0 {start|stop|status|restart|condrestart}"
-        ;;
+        echo $"Usage: $0 {start|stop|restart|condrestart|force-reload|status}"
+	exit 3
 esac
 
 exit $RETVAL
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/ivman.init?r1=1.1&r2=1.2&f=u



More information about the pld-cvs-commit mailing list